###################################################
### chunk number 1: 
###################################################
library("grofit")
data("grofit.time")
data("grofit.data")
MyOpt1 <- grofit.control(smooth.gc = 0.5, parameter = 28, interactive = FALSE)
TestRun1 <- grofit(grofit.time, grofit.data, TRUE, MyOpt1)

MyOpt2 <- grofit.control(smooth.gc = 0.5, parameter = 28, interactive = FALSE, log.x.dr = TRUE)
TestRun2 <- grofit(grofit.time, grofit.data, TRUE, MyOpt2)

colData <- c("black", "cyan", "magenta", "green", "blue", "orange", "grey")
pch     <- 1:7


###################################################
### chunk number 2: post-plot1
###################################################
par(mfrow = c(1, 3), mar = c(5.1, 4.1, 3.1, 1.1))
plot(TestRun1$gcFit, opt = "s", colData = colData, colSpline = 1, pch = pch, cex = 1)
title("a")
plot(TestRun1$drFit$drFittedSplines[[1]], colData = colData, pch = pch, cex = 1)
title("b")
plot(TestRun2$drFit$drFittedSplines[[1]], colData = colData, pch = pch, cex = 1)
title("c")


###################################################
### chunk number 3: 
###################################################
x <- 1:59
y <- c(0.0825, 0.0832, 0.0849, 0.0846, 0.0859, 0.0854, 0.0862, 0.0876, 0.0888, 0.0898,
0.0912,0.0937,0.0944,0.0979,0.1001,0.1041,0.1059,0.1113,0.1180,0.1234,0.1319,0.1366,
0.1542,0.1534,0.1621,0.1721,0.1817,0.1911,0.2004,0.2101,0.2246,0.2382,0.2546,0.2748,
0.2916,0.3071,0.3285,0.3484,0.3689,0.3901,0.4087,0.4264,0.4377,0.4478,0.4516,0.4538,
0.4579,0.4651,0.4679,0.4669,0.4715,0.4733,0.4804,0.4837,0.4885,0.4906,0.5009,0.5072,0.5127)
model  <- gcFitModel(x, y, control = grofit.control(suppress.messages = TRUE))
spline <- gcFitSpline(x, y, control = grofit.control(suppress.messages = TRUE))


###################################################
### chunk number 4: plot3 eval=FALSE
###################################################
## plot(model, colData = 1, colModel = 1)
## plot(spline, add = TRUE, raw = FALSE, colData = 1, colSpline = 2)


###################################################
### chunk number 5: post-plot3
###################################################
plot(model, colData = 1, colModel = 1)
plot(spline, add = TRUE, raw = FALSE, colData = 1, colSpline = 2)
legend(x = "bottomright", lty = c(1,1), legend = c(model$model, "spline"), col = c(1,2), bty = "n")


###################################################
### chunk number 6: 
###################################################
library("grofit")
data("grofit.time")
data("grofit.data")
MyOpt1 <- grofit.control(smooth.gc = 0.5, parameter = 28, interactive = FALSE, suppress.messages = TRUE)
out.gc <- gcFit(grofit.time, grofit.data, MyOpt1)
dr <- drFit(summary(out.gc), control = grofit.control(parameter = 28))


